<!DOCTYPE html>
<html>

<head>
    <title>Solr Query Params</title>
    <style>
        td,
        th {
            border: 1px solid black;
            padding: 0.5em 1em;
            text-align: left;
        }
    </style>
</head>

<body>
    <h1>Solr Query Params</h1>
    <table>
        <tr>
            <th>Name</th>
            <th>Description</th>
            <th>Examples</th>
        </tr>
        <tr>
            <td>q</td>
            <td>main search expression. if search field is not specified, defaults to search in common text fields.
                mandatory.</td>
            <td>
                <ul>
                    <li>
                        <a href="https://api-v3.archie.beeri.org.il/docs?q=*">
                            simple example
                        </a>
                    </li>
                    <li>
                        <a href="https://api-v3.archie.beeri.org.il/docs?q=dcTitle:&quot;כתת אגוז בר מצווה&quot;">
                            specific field with exact phrase (escaped quotes inside html attribute)
                        </a>
                    </li>
                </ul>
            </td>
        </tr>
        <tr>
            <td>fq</td>
            <td>filter query. must be defined only once in the qeury string.</td>
            <td>
                <ul>
                    <li>
                        <a href="https://api-v3.archie.beeri.org.il/docs?q=*&fq=dcType:text">simple example</a>
                    </li>
                    <li>
                        <a
                            href="https://api-v3.archie.beeri.org.il/docs?q=*&fq=(dcIsPartOf:&quot;קיבוץ קדמה&quot; AND dcType:video)">multiple
                            filters</a>
                    </li>
                </ul>
            </td>
        </tr>
        <tr>
            <td>sort</td>
            <td>sort field name and sort order (ascending or descending)</td>
            <td>
                <ul>
                    <li>
                        <a href="https://api-v3.archie.beeri.org.il/docs?q=*&sort=importTime desc">simple example</a>
                    </li>
                    <li>
                        <a href="https://api-v3.archie.beeri.org.il/docs?q=*&sort=dcDate asc, dcTitle asc">multiple sort
                            fields</a>
                    </li>
                </ul>
            </td>
        </tr>
        <tr>
            <td>rows</td>
            <td>number of rows to return. defaults to 10</td>
            <td>
                <a href="https://api-v3.archie.beeri.org.il/docs?q=*&rows=100">simple example</a>
            </td>
        </tr>
        <tr>
            <td>start</td>
            <td>first row to return</td>
            <td>
                <a href="https://api-v3.archie.beeri.org.il/docs?q=*&start=1000">simple example</a>
            </td>
        </tr>
        <tr>
            <td>hl <br> hl.fl</td>
            <td>highlight flag and field</td>
            <td>
                <a href="https://api-v3.archie.beeri.org.il/docs?q=dcTitle:פורים&hl=on&hl.fl=dcTitle">
                    highlight the query expression inside the dcTitle field
                </a>
            </td>
        </tr>
        <tr>
            <td>
                facet
                <br>
                facet.field
                <br>
                facet.sort
                <br>
                facet.limit
            </td>
            <td>facet params</td>
            <td>
                <a
                    href="https://api-v3.archie.beeri.org.il/docs?q=*&facet=on&facet.field=dcCreator&facet.sort=dcCreator&facet.limit=5">
                    display results summary by creator, sorted alphabetically and limited to the first 5
                </a>
            </td>
        </tr>
    </table>

    <h2>Default Params</h2>
    The following params always return a preconfigured values:
    <table>
        <tr>
            <th>Name</th>
            <th>Description</th>
            <th>Value</th>
        </tr>
        <tr>
            <td>fl</td>
            <td>search results fields</td>
            <td>
                id,dcTitle,dcTitleString,dcDate,dcCreator,dcDescription,dcSubject,storageLocation,dcFormat,dcType,dcIsPartOf,dcAccessRights,importTime
            </td>
        </tr>
        <tr>
            <td>q.op</td>
            <td></td>
            <td>AND</td>
        </tr>
    </table>
</body>

</html>